package model

import (
	operationPb "kpt-tmr-group/proto/go/backend/operation"
)

type SystemUser struct {
	Id         int64                   `json:"id,omitempty"`
	Name       string                  `json:"name,omitempty"`
	Phone      string                  `json:"phone"`
	Password   string                  `json:"password"`
	RoleId     int64                   `json:"role_id,omitempty"`
	RoleName   string                  `json:"role_name,omitempty"`
	CreateUser string                  `json:"create_user,omitempty"`
	IsShow     operationPb.IsShow_Kind `json:"is_show,omitempty"`
	CreatedAt  int64                   `json:"created_at,omitempty"`
	UpdatedAt  int64                   `json:"updated_at,omitempty"`
}

func (s *SystemUser) TableName() string {
	return "system_user"
}

func (s *SystemUser) SystemUserFormat() *operationPb.UserAuth {
	return &operationPb.UserAuth{
		UserName: s.Name,
		Password: s.Password,
		Phone:    s.Phone,
		RoleId:   s.RoleId,
		RoleName: s.RoleName,
	}
}
